Bug 1261078 - REST Query API: SQLGrammarException when executing task queries
REST Query API: SQLGrammarException when executing task queries
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Shelly McGowan
Tomas Livora
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 10:18 EDT by Tomas Livora
Modified: 2016-09-20 01:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SQLGrammarException (16.49 KB, text/plain)
2015-09-08 10:18 EDT, Tomas Livora
no flags Details

  None (edit)
Description Tomas Livora 2015-09-08 10:18:07 EDT
Created attachment 1071380 [details]
SQLGrammarException

Description of problem:
When you try to execute any task query, you will get SQLGrammarException in the response.

Version-Release number of selected component (if applicable):
6.2.0 ER1

Steps to Reproduce:
1. Try for example http://localhost:8080/business-central/rest/query/runtime/task?processInstanceId=1
2. See the response and server log.

Actual results:
There is SQLGrammarException. You can find full stack trace in the attached server log. It seems there are some inconsistencies in database schema.

Expected results:
Valid result without any exception.

Additional info:
This probably affects all task queries.
Comment 2 Marco Rietveld 2015-09-17 08:15:46 EDT
Tomas, could you verify that you're experiencing this on any platform that uses hibernate 4.2.19-redhat-1 or 4.2.20? 

In particular, EAP 6.4.0+.
Comment 3 Tomas Livora 2015-09-21 04:19:13 EDT
Marco, I used EAP 6.4.0 GA which contains Hibernate 4.2.18.Final-redhat-2. I will try it with BPMS 6.2.0 ER2 on EAP 6.4.3 and Hibernate 4.2.20.Final-redhat-1 and let you know.
Comment 4 Tomas Livora 2015-09-21 05:45:45 EDT
I have just tried it on EAP 6.4.3 with Hibernate 4.2.20.Final-redhat-1 and there is no SQLGrammarException anymore.

Verified on BPMS 6.2.0 ER2

Note You need to log in before you can comment on or make changes to this bug.